<?php

require_once('access.php');
require_once('../config.php');
require_once('../common.php');
require_once('myform/myform.php');


$id = 1;

// setup form fields //

$form = new myform('config','id',$id);

$form->set_title('Settings');

$form->set('site_name', array(
                        'type'     => 'text',
                        'label'    => 'Site Name',
                        'value'    => '',
                        'help_text' => 'Enter your site\'s name to display in the template.',
                        'html'     => 'size="60" maxlength="100"',
                        'required' => 1,
                        ));

$form->set('site_slogan', array(
                        'type'     => 'text',
                        'label'    => 'Site Slogan',
                        'value'    => '',
                        'help_text' => 'Enter your site\'s slogan to display.',
                        'html'     => 'size="60" maxlength="100"',
                        'required' => 1,
                        ));

$form->set('welcome_message', array(
                        'type'     => 'textarea',
                        'label'    => 'Welcome Message',
                        'html'     => 'rows="5" cols="60"',
                        'process'  => '',
                        'help_text' => 'Cut/page the html code for the welcome message to appear on the main page.',
                        'required' => 0,
                        ));

$form->set('products_per_page', array(
                        'type'     => 'text',
                        'label'    => 'Products per page',
                        'numeric'  => '1',
                        'help_text' => 'Enter the number of products to display per page.',
                        'html'     => 'size="10" maxlength="10"',
                        'required' => 1,
                        ));

$form->set('products_per_line', array(
                        'type'     => 'select',
                        'label'    => 'Products per line',
                        'html'     => 'size="1"',
                        'values'   => array('0' => 'Default', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four'),
                        'help_text' => 'Enter the number of products to display in a row.',
                        'required' => 0,
                        ));

$form->set('template', array(
                        'type'     => 'select',
                        'label'    => 'Template',
                        'value'    => '',
                        'values'   => get_templates('../templates'),
                        'html'     => 'size="1"',
                        'help_text' => 'Template to use for main pages.',
                        'required' => 1,
                        ));

$form->set('sass_id', array(
                        'type'     => 'text',
                        'label'    => 'Shareasale ID',
                        'value'    => '',
                        'help_text' => 'Enter your Shareasale ID.',
                        'process'  => '',
                        'html'     => 'size="15" maxlength="15"',
                        'required' => 1,
                        ));

$form->set('admin_userid', array(
                        'type'     => 'text',
                        'label'    => 'Admin Userid',
                        'value'    => '',
                        'help_text' => 'Enter your administration userid.',
                        'process'  => '',
                        'html'     => 'size="15" maxlength="15"',
                        'required' => 1,
                        ));

$form->set('admin_password', array(
                        'type'     => 'text',
                        'label'    => 'Admin Password',
                        'value'    => '',
                        'process'  => '',
                        'help_text' => 'Enter your administration password.',
                        'html'     => 'size="15" maxlength="15"',
                        'required' => 1,
                        ));

$form->set('seo_ind', array(
                        'type'     => 'checkbox',
                        'label'    => 'SEO',
                        'value'    => '',
                        'protected' => 0,
                        'help_text' => 'Use search engine friendy URLs.',
                        'required' => 0,
                        ));

// validate form if update button pressed //

$form_output = $form->process();

// generate page

$tpl = new template();
$tpl->set('form_output',$form_output);
$tpl->set('id',$id);
$main_content = $tpl->fetch('templates/settings.tpl');

$tpl2 = new template();
$tpl2->set('main_content',$main_content);
echo $tpl2->fetch('templates/master.tpl');

function get_templates($directory)
   {

   $new_array = array();
   $fp = opendir($directory);
   while ($filename = readdir($fp))
   {
   if ($filename != "." && $filename != "..")
      {
      if (!is_file($filename))
         {
         $new_array[$filename] = $filename;
         }

	    }
   }
   closedir($fp);

   return($new_array);

   }

?>
